CANBUSLOAD(1)

NAME
canbusload - manual page for canbusload 2023.03-1

SYNOPSIS
canbusload [options] <CAN interface>+

DESCRIPTION
canbusload - monitor CAN bus load.

    (use CTRL-C to terminate canbusload)

OPTIONS

-t  (show current time on the first line)

-c  (colorize lines)

-b  (show bargraph in 5% resolution)

-r  (redraw the terminal - similar to top)

-i  (ignore bitstuffing in bandwidth calculation)

-e  (exact calculation of stuffed bits)

Up to 16 CAN interfaces with mandatory bitrate can be specified on the commandline in the form: <ifname>@<bitrate>[,<dbitrate>]

The bitrate is mandatory as it is needed to know the CAN bus bitrate to calculate the bus load percentage based on the received CAN frames. Due to the bitstuffing estimation the calculated busload may exceed 100%. For each given interface the data is presented in one line which contains:

(interface) (received CAN frames) (used bits total) (used bits for payload)

EXAMPLES
user$> canbusload can0@100000 can1@500000 can2@500000 can3@500000 -r -t -b -c

canbusload 2014-02-01 21:13:16 (worst case bitstuffing)

can0@100000
    805 74491 36656 74% |XXXXXXXXXXXXXX......|

can1@500000
    796 75140 37728 15% |XXX.................|

can2@500000
    0 0 0 0% |....................|

can3@500000
    47 4633 2424 0% |....................|